<?php
//*********************/
//Скрипт переписан админом
//http://waufon.ru  Кот      *  Проги для компа и мобил
//Помогал админ
//http://pfc.h2m.ru/ КОСМОС  * Посети непожалееш
//всю эту срань господнюю
//перехуяривали на дыры
//http://rus-waphost.ru/ Nitrix * Супер хост без висов
/*********************/
$v_now = time( );
$v_posts = $row['vposts'];
$vict = file( "data/vict.dat" );
$vict = explode( "|", $vict[0] );
$answer = $vict[1];
$v_time = $vict[2];
$v_out = $v_time + 120;
$psk = $vict[0];
$flag = FALSE;
if ( $answer == $msg )
///
$vposts = $row['vposts'];
$vposts = $vposts + 1;  
if ( $answer == $msg && !empty( $answer ) )  
///
{
//
mysql_query( "Update users set vposts='".$vposts."' where id ='".$id."'" );  
//
$flag = TRUE;
$psk = "Молодец \r\n<u>".$row['login']."</u>!<br/>\r\nПравильный ответ <u>{$msg}</u>!</b>!<br/>\r\n\t<b>".$row['login']."</b>\r\r\n\t</b> это твой <b>{$vposts}</b> правильный ответ!";
++$v_posts;
mysql_query( "Update users set vposts='".$v_posts."' where id ='".$id."'" );
}
else if ( $v_out < $v_now )
{
$flag = TRUE;
$psk = "Эх, нет здесь видать мудрецов, а ведь такое слово простое ...<br/>\r\nЭто <u>{$answer}</u> ...<br/>\r\nЩас следующее загадаю.";
}
else if ( $v_time + 60 < $v_now )
{
$psk .= "<br/>Это <font color=lime>".substr( $answer, 0, 2 )."</font> ...";
}
echo "<br/><div class=\"b\"><p align=\"left\"><u><b>Умник</u></b> [".date( "H.i", $v_time )."]&gt;<br/>{$psk}";

echo "</a></div><p align=\"left\">";
if ( $flag )
{
$quest = gzfile( "quest.gz" );
$rn = rand( 0, count( $quest ) - 1 );
$data = explode( "::", $quest[$rn] );
$nv = trim( $data[0] );
$answer = trim( $data[1] );
$len = strlen( $answer ) / 2;
$fp = fopen( "data/vict.dat", "wb" );
fputs( $fp, $nv." (".$len." букв)|".$answer."|".$v_now );
fclose( $fp );
}
?>